List Root Folders
get
/files
Lists catalog root folders.
Request
Query Parameters
-
filter:
Filter the list of files.
-
recursive:
Return search results recursively.
Response
200 Response
OK
Folder list.
400 Response
Bad Request
Invalid path.
500 Response
Internal Server Error.
Examples
The following example shows how to use the REST API to list the root folders of the Essbase file catalog.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/files?links=none" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"currentFolder" : {
"name" : "/",
"fullPath" : "/",
"type" : "folder",
"permissions" : { }
},
"items" : [ {
"name" : "applications",
"fullPath" : "/applications",
"type" : "folder",
"permissions" : { }
}, {
"name" : "gallery",
"fullPath" : "/gallery",
"type" : "folder",
"permissions" : { }
}, {
"name" : "shared",
"fullPath" : "/shared",
"type" : "folder",
"permissions" : {
"addFolder" : true,
"addFile" : true
}
}, {
"name" : "users",
"fullPath" : "/users",
"type" : "folder",
"permissions" : { }
} ]
}